View Issue Details

IDProjectCategoryView StatusLast Update
0000097Far Manager 1.7xKeyboardpublic2007-07-16 16:07
ReporteralexyAssigned Tovskirdin 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version1.71 
Summary0000097: Небольшие глюки с клавой.
Description1. Хоткей AltБ не срабатывает в русской раскладке. Можно увидеть в диалоге нового плагина Compare.

2. В испанской раскладке есть так называем "мертвые клавиши" - т.е. клавиши которые выводят что то на экран только при нажатие ещё одной клавиши. Например нажатие [o выводит на экран букву o с апострофом. Но вот комбинация 'o глючит немного в фаре и выводит ' и o с апострофом вместо просто буквы o с апострофом (буква o тут не причём так как ' можно комбинировать с ещё клавишами).
TagsNo tags attached.
Build

Activities

vskirdin

2006-03-14 07:41

administrator   bugnote:0000091

По поводу п.2.
Разжуй что и как поменять в системе, чтобы можно было бы начать расследование.

alexy

2006-03-14 07:47

administrator   bugnote:0000092

Добавляем испанскую расскладку в винду - Regional Setting->Keyboard ... - расскладка называется (spanish - international) - теперь пока в фаре переходим на испанскую расскладку и вводим 'o - видем глюк. Для большей понятности можно попробовать ввести это в 180 :)

vskirdin

2006-04-20 11:46

administrator   bugnote:0000142

Ндя, похоже придется упрощать клавишное ядро :-)
Или...
хмм... тут подумалось.
1. вводим еще одно правило (или добавляем опцию в диалог интерфейсных настроек), которое по умолчанию выключено, а если включить, то...
2. учитываем эту опцию в клавишнике.

по поводу п.1 - где можно посмотреть про эти VK_OEM_7 (это как раз 'o)
Вернее... хмм.. вернее так - это правило должно будет отрубать обработку VK_OEM_X (т.е. когда для одной буквы нужно 2 пимпы нажать). о!
вот и вопрос.

VK_OEM_X - это всегда двойные клавиши?

vskirdin

2006-04-20 12:41

administrator   bugnote:0000143

Last edited: 2006-04-20 12:42

Так, первый пробный шар:
http://farmanager.com/farbugs/mantis97.1.rar
Interface/UseVk_oem_x:REG_DWORD
по умолчанию = 0 (отключено)
нужно выставить в 1

возможно опцию нужно назвать UseDeadKeys
ы?

alexy

2006-04-20 19:59

administrator   bugnote:0000145

С испанским вроде всё ок - отдал иностранцам чтоб потестили. Есть только ещё одна вещь - dead key + пробел должно давать сам этот dead key (так например делает notepad) но у нас выходит просто пробел.

А вот с AltБ другой глюк - Б стал работать а вот AltС и AltЗ (как минимум) не работают в любой раскладке.

З.Ы. А где вообще можно почитать про все эти VK_*?

alexy

2006-04-20 20:02

administrator   bugnote:0000146

А вот как назвать опцию не понятно, ведь часть dead keys работают нормально и без этой опции. Может вообще не надо никакой опции а всегда так обрабатывать?

alexy

2006-04-26 06:57

administrator   bugnote:0000152

Иностранцы проверили - говорят что всё ОК тока им очень не хватает чтоб работал dead key + пробел = dead key

vskirdin

2006-04-28 13:25

administrator   bugnote:0000162

Следующий тест кидай к ним в форум:
http://farmanager.com/farbugs/mantis97.2.rar

2006-05-05 05:40

 

KeyToKeyMap.RU.reg (1,171 bytes)

vskirdin

2006-05-05 05:43

administrator   bugnote:0000170

Так.
Вот это "KeyToKeyMap.RU.reg" пробей у себя - наступит счастье по п.1
И скорее всего эту таблицу нужно в RUS, в дистр, положить, т.к. в ней корректировки для клавиш "ХЪЖЭБЮ".

Второй пункт тоже...
Исключение - FastFind в панелях - но здесь ничем помочь не могу, иначе поломается этот самый FastFind.

Issue History

Date Modified Username Field Change
2006-03-08 05:56 alexy New Issue
2006-03-08 05:56 alexy Status new => assigned
2006-03-08 05:56 alexy Assigned To => vskirdin
2006-03-08 06:57 alexy Assigned To vskirdin =>
2006-03-08 06:58 alexy Status assigned => new
2006-03-14 07:41 vskirdin Note Added: 0000091
2006-03-14 07:47 alexy Note Added: 0000092
2006-04-04 10:56 vskirdin Project Far Manager 1.7x => @11@
2006-04-04 17:30 alexy Project @11@ => Far Manager 1.7x
2006-04-20 11:46 vskirdin Note Added: 0000142
2006-04-20 12:41 vskirdin Note Added: 0000143
2006-04-20 12:42 vskirdin Note Edited: 0000143
2006-04-20 19:59 alexy Note Added: 0000145
2006-04-20 20:02 alexy Note Added: 0000146
2006-04-26 06:57 alexy Note Added: 0000152
2006-04-28 13:25 vskirdin Note Added: 0000162
2006-05-05 05:40 vskirdin File Added: KeyToKeyMap.RU.reg
2006-05-05 05:43 vskirdin Status new => assigned
2006-05-05 05:43 vskirdin Assigned To => vskirdin
2006-05-05 05:43 vskirdin Status assigned => resolved
2006-05-05 05:43 vskirdin Fixed in Version => 1.71
2006-05-05 05:43 vskirdin Resolution open => fixed
2006-05-05 05:43 vskirdin Note Added: 0000170
2007-07-16 16:07 alexy Status resolved => closed